#!/bin/bash
#
# startup script for station ???
#
echo starting `uname -n` ...
#
[ ! -f /.generic_has_been_run ] && /MIDAS/LynxOS_MCG/$release/startup/generic
#
# add target specific startup here
#
export PATH=/MIDAS/LynxOS_MCG/$release/bin:${PATH}
#
UM=`umask`
umask 0
#
# start the message logger dispatcher
loggerd
#
vmeers 0 vme
source /MIDAS/config/VME/NetVarDefn.LynxOS
source /MIDAS/config/VME/NetVarRegDefn
#
# start spectrum server:
#
memsas
#
#    load main data acquisition program
#    define netints and access registers
#
netstring TS_Server "myserver"
#
netint Output_BufferSize 32
netint Xfer_Option 3
netint Format_Option 3
netint Xfer_Overlap 1
netint Xfer_Priority -1
#
cd /MIDAS/Data_Acq/bin/LynxOS_MCG/$release/TCP
nice ./GRT4PExecV4
#
umask $UM
#
echo ... `uname -n` startup complete
#
